package de.example.AndroidExample07;

import android.app.Activity;
import android.os.Bundle;

import android.widget.Button;
import android.widget.EditText;

import android.view.View;
import android.view.View.OnClickListener;

import android.widget.Toast;

public class MainActivity extends Activity  implements OnClickListener
{
    private Button btnKelvin;
    private Button btnFahrenheit;
        
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        
    
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        btnKelvin = (Button)findViewById(R.id.btnKelvin);
        btnFahrenheit = (Button)findViewById(R.id.btnFahrenheit);
        
        
        btnKelvin.setOnClickListener(this);
        btnFahrenheit.setOnClickListener(this);
    }
    
    public void onClick(View v)
    {
        EditText fieldEingabe = (EditText) findViewById(R.id.EingabeTemperatur);

        Toast AusgabeTemperatur;

        String eingabeTemperatur = fieldEingabe.getText().toString();
        String ausgabeTemperatur;

        double dblCelsius;

        if (eingabeTemperatur.length() > 0) {

            dblCelsius = Double.parseDouble(eingabeTemperatur);

            if (v == btnKelvin){

                double kelvin = dblCelsius+ 273;

                AusgabeTemperatur = Toast.makeText(v.getContext(), Double.toString(kelvin), Toast.LENGTH_LONG);
                AusgabeTemperatur.show();

            }   

            else if (v == btnFahrenheit){

                double fahrenheit = dblCelsius * 1.8 + 32;

                AusgabeTemperatur = Toast.makeText(v.getContext(), Double.toString(fahrenheit), Toast.LENGTH_LONG);
                AusgabeTemperatur.show();

            }
        }
        
    }    
}
