
package de.example.AndroidExample10;

import android.content.Context;

import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;

import android.widget.ImageView;


import android.view.View;
import android.view.View.OnTouchListener;
import android.view.MotionEvent;

public class DrawView extends ImageView implements OnTouchListener 
{
        Paint kreis = new Paint();
        int r = 255;
        int g = 255;
        int b = 255;
        
        int radius = 15;
        
        int x1 = 100;
        int y1 = 100;
      
        public DrawView(Context context)
        {
            super(context);
            kreis.setColor(Color.RED);
            setFocusable(true);
            this.setOnTouchListener(this);
        } 
        
        
        @Override
        public void onDraw(Canvas leinwand)
        {
            Paint punkt = new Paint();
            
            super.onDraw(leinwand);
            
            // kreis.setARGB(255, r, g, b);
            kreis.setColor(Color.rgb(r, g, b));
            punkt.setColor(Color.BLACK);
            punkt.setStrokeWidth(2);
            punkt.setStyle(Paint.Style.FILL);
            
            leinwand.drawCircle(x1, y1, radius, kreis);
            leinwand.drawPoint(x1, y1, punkt);
                   
        } 
        
        public boolean onTouch(View v,MotionEvent event)
        {
          int aktion = event.getAction();
          
          if(aktion == MotionEvent.ACTION_DOWN)
          {  
            x1 = (int)event.getX()-(radius/2);
            y1 = (int)event.getY()-(radius/2);
            
            r =(int)(Math.random()*255);
            g =(int)(Math.random()*255);
            b =(int)(Math.random()*255);
        
            invalidate();
            
            return true;
          }
          return false;
        }
       
}
