
package de.example.AndroidExample12;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.app.Fragment;

import android.view.View;

import android.content.Intent;
        
import android.os.Bundle;

public class ActivityTemperatur extends Activity implements FragmentListe.ListSelectCallback{
    double dblTemperatur;
    
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_temperatur);
        
        Intent intent = getIntent();
        Bundle daten = intent.getExtras();
        
        dblTemperatur =  Double.parseDouble(daten.getString("EINGABE"));
        
        if (savedInstanceState == null)
        {
            FragmentListe fListe = new FragmentListe();
            FragmentManager fManager = getFragmentManager();
            FragmentTransaction fTransaction = fManager.beginTransaction();
            fTransaction.add(R.id.frameList, fListe, FragmentListe.TAG);
            
            View myView = this.findViewById(R.id.layoutTemperatur);
            
            if (myView != null)
            {
                FragmentAusgabe fAusgabe = new FragmentAusgabe();
                fTransaction.add(R.id.frameAusgabe, fAusgabe, FragmentAusgabe.TAG);
                fTransaction.commit();
                
            } 
                  
            
        }
    }    
    
    public void selectList(int index)
    {
        double newTemperatur = 0;
        
        View myView = this.findViewById(R.id.layoutTemperatur);
        
        if (myView != null)
        {
            FragmentManager fManager = getFragmentManager();
            FragmentAusgabe fAusgabe = (FragmentAusgabe) fManager.findFragmentByTag(FragmentAusgabe.TAG);
            
            switch(index)
            {
                case 0:
                    fAusgabe.setzeText(Double.toString(dblTemperatur) + " °C");
                    break;
                
                case 1:
                    newTemperatur = dblTemperatur * 1.8 + 32;
                    fAusgabe.setzeText(Double.toString(newTemperatur) + " F");
                    break;
                
                case 2:
                    newTemperatur = dblTemperatur + 273;;
                    fAusgabe.setzeText(Double.toString(newTemperatur) + " K");
                    break;
                
            default:
                fAusgabe.setzeText("Keine Angabe");
                    
            }        
            
                   
        }
        
            
    } 
            
}
    
    
