
package de.example.AndroidExample12;

import android.app.ListFragment;
import android.os.Bundle;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import android.widget.ListView;
import android.widget.ArrayAdapter;


public class FragmentListe extends ListFragment {
    String[] angabenTemperatur = new String[] { "Celsius", "Fahrenheit", "Kelvin" };
    public static String TAG = "LISTE";
    
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {
        
       
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(inflater.getContext(),
                    android.R.layout.simple_list_item_1, angabenTemperatur);
       
        setListAdapter(adapter);
        
        return super.onCreateView(inflater, container, savedInstanceState);
    }
    
    public void onListItemClick(ListView l, View v, int position, long id)
    {
        getListView().setSelection(position);
        ListSelectCallback callback = (ListSelectCallback) getActivity();
        callback.selectList(position);
    }        
    public interface ListSelectCallback{
        public void selectList(int index);
    }

        
    
}
