package de.example.AndroidExample12;

import android.app.Activity;
import android.os.Bundle;

import android.widget.EditText;
import android.widget.AdapterView;
import android.widget.ListView;

import android.view.View;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

import android.content.Intent;

public class MainActivity extends Activity
{
    
    AdapterView.OnItemClickListener itemClickListener = new AdapterView.OnItemClickListener()
    {
        public void onItemClick(AdapterView<?> listView, View v, int position, long id)   
        {
            if(position == 0)
            {
                startTemperatur();
            }    
        }   
    };        
            
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        ListView listView = (ListView) findViewById(R.id.massangaben);
        listView.setOnItemClickListener(itemClickListener);
    }
    
    public boolean onCreateOptionsMenu(Menu menu) {
         
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu_einheit, menu);
        return true;
    }
    
    public boolean onOptionsItemSelected(MenuItem item) {
        
        switch (item.getItemId()) {
            
            case R.id.menu_temperatur:
                startTemperatur();
                return true;
            
            case R.id.menu_back:
                moveTaskToBack(true);
                return true;
                
            default:
                return super.onOptionsItemSelected(item);
        }
 
    }
    
    private void startTemperatur()
    {
        EditText eingabeCelsius;
        eingabeCelsius = (EditText) findViewById(R.id.EingabeDezimal);
        String temperatur = eingabeCelsius.getText().toString();
        
        Intent myIntent = new Intent(MainActivity.this, ActivityTemperatur.class );
        myIntent.putExtra("EINGABE", temperatur);
        startActivity(myIntent);
        
    }        
}
