package de.AndroidExample13_ListView;

import android.app.Activity;
import android.os.Bundle;

import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

import android.view.View;

public class MainActivity extends Activity
{
    AdapterView.OnItemClickListener itemClickListener = new AdapterView.OnItemClickListener()
    {
        public void onItemClick(AdapterView<?> listView, View v, int position, long id)   
        {
            String selectedFromList =(String) (listView.getItemAtPosition(position));
            Toast.makeText(v.getContext(),"Klick auf : " + selectedFromList ,Toast.LENGTH_SHORT).show();  
             
        }   
    };  
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        ListView listView = (ListView) findViewById(R.id.massangaben);
        listView.setOnItemClickListener(itemClickListener);
    }
}
