package de.AndroidExample13_PopUp;
import android.app.Activity;
import android.os.Bundle;

import android.widget.Button;
import android.widget.Toast;
import android.widget.PopupMenu;  
import android.view.MenuItem;  

import android.view.View;
import android.view.MenuInflater;
import android.view.View.OnClickListener;

public class MainActivity extends Activity   implements OnClickListener
{
    
    private Button btnMenue;
    
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        btnMenue = (Button)findViewById(R.id.buttonMenue);
        
        btnMenue.setOnClickListener(this);
    }
    
    public void onClick(View v)
    {
        PopupMenu popup = new PopupMenu(MainActivity.this, btnMenue);  
        MenuInflater inflater = popup.getMenuInflater();
        inflater.inflate(R.menu.popupmenu, popup.getMenu());
 
        
        popup.setOnMenuItemClickListener(new PopupMenu.OnMenuItemClickListener() {  
            public boolean onMenuItemClick(MenuItem item) {  
              Toast.makeText(MainActivity.this,"Klick auf : " + item.getTitle(),Toast.LENGTH_SHORT).show();  
              return true;  
            }  
        });  
                   
        popup.show();//showing popup menu   
    }
}

