package de.example.AndroidExample11;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;

import android.widget.Button;
import android.widget.EditText;

import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;

import android.view.View;
import android.view.View.OnClickListener;


public class MainActivity extends Activity implements OnClickListener
{
    DrawView layoutZeichnen;
    Button btnFarbe;
    
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
         
        setContentView(R.layout.main);
        
        btnFarbe= (Button) findViewById(R.id.btnFarbe);
        btnFarbe.setOnClickListener(this);
        
        layoutZeichnen = new DrawView(this);
        layoutZeichnen.setBackgroundColor(Color.DKGRAY);
        
        LayoutParams myLayoutParams = new LayoutParams(LayoutParams.MATCH_PARENT, 250);
        myLayoutParams.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
        layoutZeichnen.setLayoutParams(myLayoutParams);
        
        RelativeLayout layout = (RelativeLayout) findViewById(R.id.layoutKreis);
        layout.addView(layoutZeichnen); 
    }
    
    public void onClick(View v)
    {
        EditText txtFarbe= (EditText) findViewById(R.id.EingabeFarbe);
        String strFarbe = txtFarbe.getText().toString();
        
        int rot = 255;
        int gruen = 255; 
        int blau = 255;
        

        if (strFarbe.length() >= 0){
     
           rot = Integer.parseInt(strFarbe.substring(0,2),16);
           gruen = Integer.parseInt(strFarbe.substring(2,4),16);
           blau = Integer.parseInt(strFarbe.substring(4,6),16);
            
        }
        
        layoutZeichnen.setFarbe(rot, gruen, blau);
        
    } 
   
}
