package de.AndroidExample13_OptionMenu;

import android.app.Activity;
import android.os.Bundle;

import android.view.Menu; 
import android.view.MenuInflater;
import android.view.MenuItem;

import android.widget.Toast;

public class MainActivity extends Activity
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
           
    }
    
    public boolean onCreateOptionsMenu(Menu menu) {
         
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menuoption, menu);
        return super.onCreateOptionsMenu(menu);
    }
    
    public boolean onOptionsItemSelected(MenuItem item) {
        
        switch (item.getItemId()) {
            
            case R.id.menu_temperatur:
                 
                return true;
            
            case R.id.menu_Fahrenheit:
                Toast.makeText(MainActivity.this,"Klick auf : " + item.getTitle(),Toast.LENGTH_SHORT).show();  
                return true;
            
            case R.id.menu_Kelvin:
                Toast.makeText(MainActivity.this,"Klick auf : " + item.getTitle(),Toast.LENGTH_SHORT).show();  
                return true;
                    
            default:
                return super.onOptionsItemSelected(item);
        }
 
    }
}
